"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const freeze = async ({
  executeStatement,
  databaseName,
  tableName,
  escapeId
}) => {
  await executeStatement(`CREATE TABLE IF NOT EXISTS ${escapeId(databaseName)}.${escapeId(`${tableName}-freeze`)} (
      ${escapeId('surrogate')} BIGINT NOT NULL,
      PRIMARY KEY(${escapeId('surrogate')})
    );
    COMMENT ON TABLE ${escapeId(databaseName)}.${escapeId(`${tableName}-freeze`)}
    IS 'RESOLVE EVENT STORE ${escapeId(tableName)} FREEZE MARKER';
    `);
};

var _default = freeze;
exports.default = _default;
//# sourceMappingURL=freeze.js.map