"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.destroy = exports.dispose = exports.create = exports.default = void 0;

var _rdsdataservice = _interopRequireDefault(require("aws-sdk/clients/rdsdataservice"));

var _resolveStorageBase = _interopRequireDefault(require("resolve-storage-base"));

var _connect = _interopRequireDefault(require("./connect"));

var _loadEvents = _interopRequireDefault(require("./load-events"));

var _freeze = _interopRequireDefault(require("./freeze"));

var _unfreeze = _interopRequireDefault(require("./unfreeze"));

var _getLatestEvent = _interopRequireDefault(require("./get-latest-event"));

var _saveEvent = _interopRequireDefault(require("./save-event"));

var _init = _interopRequireDefault(require("./init"));

var _drop = _interopRequireDefault(require("./drop"));

var _dispose = _interopRequireDefault(require("./dispose"));

var _fullJitter = _interopRequireDefault(require("./full-jitter"));

var _executeStatement = _interopRequireDefault(require("./execute-statement"));

var _saveEventOnly = _interopRequireDefault(require("./save-event-only"));

var _paginateEvents = _interopRequireDefault(require("./paginate-events"));

var _coercer = _interopRequireDefault(require("./coercer"));

var _escapeId = _interopRequireDefault(require("./escape-id"));

var _escape = _interopRequireDefault(require("./escape"));

var _create = _interopRequireDefault(require("./resource/create"));

var _dispose2 = _interopRequireDefault(require("./resource/dispose"));

var _destroy = _interopRequireDefault(require("./resource/destroy"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createAdapter = _resolveStorageBase.default.bind(null, {
  connect: _connect.default,
  loadEvents: _loadEvents.default,
  getLatestEvent: _getLatestEvent.default,
  saveEvent: _saveEvent.default,
  init: _init.default,
  drop: _drop.default,
  dispose: _dispose.default,
  freeze: _freeze.default,
  unfreeze: _unfreeze.default,
  RDSDataService: _rdsdataservice.default,
  escapeId: _escapeId.default,
  escape: _escape.default,
  fullJitter: _fullJitter.default,
  executeStatement: _executeStatement.default,
  saveEventOnly: _saveEventOnly.default,
  paginateEvents: _paginateEvents.default,
  coercer: _coercer.default
});

var _default = createAdapter;
exports.default = _default;
const pool = {
  executeStatement: _executeStatement.default,
  connect: _connect.default,
  RDSDataService: _rdsdataservice.default,
  escapeId: _escapeId.default,
  escape: _escape.default,
  fullJitter: _fullJitter.default,
  coercer: _coercer.default,
  dispose: _dispose.default
};

const createResource = _create.default.bind(null, pool);

exports.create = createResource;

const disposeResource = _dispose2.default.bind(null, pool);

exports.dispose = disposeResource;

const destroyResource = _destroy.default.bind(null, pool);

exports.destroy = destroyResource;
Object.assign(pool, {
  createResource,
  disposeResource,
  destroyResource
});
//# sourceMappingURL=index.js.map