"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

const init = async ({
  databaseName,
  tableName,
  executeStatement,
  escapeId
}) => {
  await executeStatement([`CREATE TABLE ${escapeId(databaseName)}.${escapeId(tableName)}(
      ${escapeId('eventId')} ${_constants.LONG_NUMBER_SQL_TYPE} NOT NULL,
      ${escapeId('timestamp')} ${_constants.LONG_NUMBER_SQL_TYPE} NOT NULL,
      ${escapeId('aggregateId')} ${_constants.LONG_STRING_SQL_TYPE} NOT NULL,
      ${escapeId('aggregateVersion')} ${_constants.LONG_NUMBER_SQL_TYPE} NOT NULL,
      ${escapeId('type')} ${_constants.LONG_STRING_SQL_TYPE} NOT NULL,
      ${escapeId('payload')} ${_constants.JSON_SQL_TYPE},
      ${escapeId('eventSize')} ${_constants.LONG_NUMBER_SQL_TYPE} NOT NULL,
      PRIMARY KEY(${escapeId('eventId')})
    )`, `CREATE UNIQUE INDEX ${escapeId('aggregateIdAndVersion')}
     ON ${escapeId(databaseName)}.${escapeId(tableName)}
     USING BTREE(${escapeId('aggregateId')}, ${escapeId('aggregateVersion')})`, `CREATE INDEX ${escapeId('aggregateId')}
     ON ${escapeId(databaseName)}.${escapeId(tableName)}
     USING BTREE(${escapeId('aggregateId')})`, `CREATE INDEX ${escapeId('aggregateVersion')}
     ON ${escapeId(databaseName)}.${escapeId(tableName)}
     USING BTREE(${escapeId('aggregateVersion')})`, `CREATE INDEX ${escapeId('type')}
     ON ${escapeId(databaseName)}.${escapeId(tableName)}
     USING BTREE(${escapeId('type')})`, `CREATE INDEX ${escapeId('timestamp')}
     ON ${escapeId(databaseName)}.${escapeId(tableName)}
     USING BTREE(${escapeId('timestamp')})`].join('; '));
};

var _default = init;
exports.default = _default;
//# sourceMappingURL=init.js.map