"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

const saveEventOnly = async function (pool, event) {
  const {
    databaseName,
    tableName,
    executeStatement,
    escapeId,
    escape
  } = pool;
  const serializedEvent = [`${escape(event.aggregateId)},`, `${+event.aggregateVersion},`, `${escape(event.type)},`, escape(JSON.stringify(event.payload != null ? event.payload : null))].join('');

  const byteLength = Buffer.byteLength(serializedEvent) + _constants.RESERVED_EVENT_SIZE;

  await executeStatement([`INSERT INTO ${escapeId(databaseName)}.${escapeId(tableName)}(`, `${escapeId('eventId')},`, `${escapeId('timestamp')},`, `${escapeId('aggregateId')},`, `${escapeId('aggregateVersion')},`, `${escapeId('type')},`, `${escapeId('payload')},`, `${escapeId('eventSize')}`, `) VALUES (`, `  ${+event.eventId},`, `  ${+event.timestamp},`, `  ${serializedEvent},`, `  ${byteLength}`, `)`].join(''));
};

var _default = saveEventOnly;
exports.default = _default;
//# sourceMappingURL=save-event-only.js.map